%define        bonus_version  0.8.2

Name:          bleachbit
Version:       4.6.2
Release:       1mamba
Summary:       A cleaning tool to free disk space and to maintain privacy
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           https://www.bleachbit.org/
Source:        https://download.bleachbit.org/bleachbit-%{version}.tar.bz2
#Source:        http://downloads.sourceforge.net/project/bleachbit/bleachbit/%{version}/bleachbit-%{version}.tar.lzma
Source1:       http://sourceforge.net/projects/bleachbit/files/bleachbit/bleachbit-bonus-%{bonus_version}.tar.gz
Source2:       bleachbit-root.desktop
Source3:       bleachbit-root.png
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: python3
BuildRequires: desktop-file-utils
Requires:      python3 >= %python3_version
BuildArch:     noarch

%description
BleachBit quickly frees disk space, removes hidden junk, and easily guards your privacy.
Erase cache, delete cookies, clear Internet history, remove unused localizations, shred logs, and delete temporary files.
It wipes clean 70 applications including Firefox, Internet Explorer, Flash, Google Chrome, Opera, Safari, Adobe Reader, APT, and more.

This package includes also the BleachBit Bonus.

%prep
%setup -q -a1

%build
make -C po local
%{__python3} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
   prefix=%{_prefix}

%makeinstall -C bleachbit-bonus-%{bonus_version} \
   prefix=%{_prefix}

desktop-file-validate %{S:2}
install -m 0644 %{S:2} %{buildroot}%{_datadir}/applications/bleachbit-root.desktop
install -m 0644 %{S:3} %{buildroot}%{_datadir}/pixmaps/bleachbit-root.png

desktop-file-validate %{buildroot}%{_datadir}/applications/org.bleachbit.BleachBit.desktop

# remove useless files
rm -f %{buildroot}%{_datadir}/bleachbit/Windows.py*

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/bleachbit
%{_datadir}/applications/*.desktop
%{_datadir}/metainfo/org.bleachbit.BleachBit.metainfo.xml
%{_datadir}/polkit-1/actions/org.bleachbit.policy
%{_datadir}/bleachbit
%{_datadir}/pixmaps/*.png
%doc COPYING

%changelog
* Tue Oct 08 2024 Automatic Build System <autodist@openmamba.org> 4.6.2-1mamba
- automatic version update by autodist

* Mon Nov 06 2023 Automatic Build System <autodist@mambasoft.it> 4.6.0-1mamba
- automatic version update by autodist

* Sun Nov 14 2021 Automatic Build System <autodist@mambasoft.it> 4.4.2-1mamba
- automatic version update by autodist

* Sun Jun 27 2021 Automatic Build System <autodist@mambasoft.it> 4.4.0-1mamba
- automatic version update by autodist

* Mon Jan 04 2021 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Tue Apr 21 2020 Automatic Build System <autodist@mambasoft.it> 4.0.0-1mamba
- automatic version update by autodist

* Sun Feb 09 2020 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Sat Oct 26 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0-1mamba
- update to 3.0

* Thu Mar 21 2019 Automatic Build System <autodist@mambasoft.it> 2.2-1mamba
- automatic version update by autodist

* Sun Apr 15 2018 Automatic Build System <autodist@mambasoft.it> 2.0-1mamba
- automatic version update by autodist

* Sat Jul 02 2016 Automatic Build System <autodist@mambasoft.it> 1.12-1mamba
- automatic version update by autodist

* Fri Jan 01 2016 Automatic Build System <autodist@mambasoft.it> 1.10-1mamba
- automatic version update by autodist

* Wed Jul 01 2015 Automatic Build System <autodist@mambasoft.it> 1.8-1mamba
- automatic version update by autodist

* Wed Nov 19 2014 Automatic Build System <autodist@mambasoft.it> 1.6-1mamba
- automatic version update by autodist

* Wed Sep 10 2014 Automatic Build System <autodist@mambasoft.it> 1.4-1mamba
- automatic version update by autodist

* Thu Jun 12 2014 Automatic Build System <autodist@mambasoft.it> 1.2-1mamba
- automatic version update by autodist

* Sun Nov 17 2013 Automatic Build System <autodist@mambasoft.it> 1.0-1mamba
- automatic version update by autodist

* Fri Jul 05 2013 Automatic Build System <autodist@mambasoft.it> 0.9.6-1mamba
- automatic version update by autodist

* Mon Apr 22 2013 Automatic Build System <autodist@mambasoft.it> 0.9.5-1mamba
- automatic version update by autodist

* Fri Jan 11 2013 Automatic Build System <autodist@mambasoft.it> 0.9.4-1mamba
- automatic version update by autodist

* Thu Mar 29 2012 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.9.2-1mamba
- update to 0.9.2

* Wed Nov 30 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.9.1-1mamba
- update to 0.9.1

* Mon Sep 05 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.9.0-1mamba
- update to 0.9.0

* Thu Jun 30 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.8.8-1mamba
- update to 0.8.8

* Tue Jan 25 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.8.7-1mamba
- update to 0.8.7

* Sun Jan 09 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.8.6-1mamba
- update to 0.8.6
- specfile rpm5-compliant

* Thu Dec 30 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.8.4-1mamba
- update to 0.8.4

* Tue Nov 16 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.8.2-1mamba
- update to 0.8.2

* Wed Jun 09 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.8.0-1mamba
- update to 0.8.0

* Fri May 28 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.7.4-1mamba
- added the BleachBit Bonus
- package created by autospec
